Subject: Re: Telnetd on cygwin 1.3.1.
From: Louis Bohm <[email-masked]>
To: Rob Thorne <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 10 May 2001 06:39:41 -0400

Just to let you know I saw the same high cpu from in.telnetd after reading your
email.  Though I am not sure why I did not see that id process you want to
debug all I saw was in.telnetd consuming the cpu.

BTW I have a Win2K Pro sp1

Louis

Rob Thorne wrote:

> Jens,
>
> It appears that a problem I saw earlier may be related.
>
> I get passed the login, and actually get the login message.  But at that
> point, id.exe locks up the machine, grabbing, as in your case, 100% of CPU.
>
> Running ps -aef shows the following at the time we lock up:
>
> $ ps -aef
>      UID     PID    PPID TTY     STIME COMMAND
> administ     628       1  -1  12:59:30 /usr/bin/bash
>   system     568       1  -1  13:10:30 /usr/sbin/inetd
>   system    1008     568  -1  13:10:30 /usr/sbin/inetd
> administ     780       1  -1  13:11:16 /usr/bin/bash
> administ    1420     628  -1  13:12:01 /usr/bin/telnet
>   system    1304    1008  -1  13:12:01 /usr/sbin/in.telnetd
> administ    1428    1304   0  13:12:30 /usr/bin/sh
> administ    1140    1428   0  13:12:30 /usr/bin/id
> administ     380     780  -1  13:12:36 /usr/bin/ps
>
> I'm guessing that id does not get a tty, and blocks on stdout.  Worse, it
> burns CPU when it does so.
>
> I'll try building id.exe debug to see if this is true, but unless I can
> figure this out, I'll also drop down to cygwin 1.1.8.
>
> So any luck at your end?
>
> Thanks,
> Rob
>
> Rob Thorne
> Software Engineer
> Entelos, Inc.
>
> -----Original Message-----
> From: Jens Yllman [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2001 3:23 AM
> To: [email-masked]
> Subject: Telnetd on cygwin 1.3.1.
>
>  Hi,
>
>  I've been looking around the threads on this list. And have not
> found any thread that seems to be about the same problem. So I ask
> here now.
>
>  I did download the cygwin 1.3.1 with the setup program. And I
> installed it. And then telnetd stoped functionen. I thought OK. It's
> time for me to do a reinstall of everything. So I uninstalled
> everything. And removed everything from the regestry. And then I did
> a fresh install from the net. But I still have the same problem.
>
>  When I do telnet to my machine now I get a in.telnetd.exe that is
> using 100% CPU time and I never get a login promt.
>
>  When I reinstall the cygwin 1.1.8 it starts working again.
>
>  What could be wrong?
>  I hava WinNT 4.0 SP6 machine.
>
>  Jens Yllman
> ------------------------------------------------------------
> Uniweb AB                            Phone:  +46 8 626 42 00
> P O Box 745                          FAX:    +46 8 626 42 01
> S-191 27  SOLLENTUNA
> SWEDEN                               http://www.uniweb.se/
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
¤°`°Systems  Manager and Tivoli Support Geek
¤°`°Lightbridge, Inc
¤°`°67 South Bedford St.
¤°`°Burlington MA 01832
¤°`°781.359.4795 mailto:[email-masked]
¤°`°http://www.lightbridge.com
¤°`°Free Tivoli scripts at: http://www.microgeek.com
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple